package com.antai.sport.http.server.game.api.controller;

import com.antai.sport.http.server.common.base.Result;
import com.antai.sport.http.server.repository.base.entity.BaseArea;
import com.antai.sport.http.server.repository.base.mapper.BaseAreaMapper;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import static com.antai.sport.http.server.common.base.Result.success;

/**
 * @author 厉明
 * @date 2021/8/18 11:40
 * @email lmmax@126.com
 * @description
 */
@RestController
public class TestController {
    @Resource
    private BaseAreaMapper baseAreaMapper;

    @GetMapping("test")
    public ResponseEntity<Result> test() {
        Map<String, Object> result = new HashMap<>();
        List<BaseArea> areaList = baseAreaMapper.selectList(null);
        result.put("areaList", areaList);
        return success(result);
    }

}
